package ink.wgink.module.map.pojo.bos.userlocation;

import java.io.Serializable;

/**
 *
 * @ClassName: UserLocationBO
 * @Description: 用户定位
 * @Author: CodeFactory
 * @Date: 2021-10-29 15:37:01
 * @Version: 3.0
 **/
public class UserLocationBO implements Serializable {

    private static final long serialVersionUID = 2436889054050643503L;
    private String userLocationId;
    private String userLng;
    private String userLat;
    private Integer isOverstep;
    private String userUsername;
    private String userName;
    private String creator;
    private String gmtCreate;
    private Integer isDelete;

    public String getUserLocationId() {
        return userLocationId == null ? "" : userLocationId.trim();
    }

    public void setUserLocationId(String userLocationId) {
        this.userLocationId = userLocationId;
    }

    public String getUserLng() {
        return userLng == null ? "" : userLng.trim();
    }

    public void setUserLng(String userLng) {
        this.userLng = userLng;
    }

    public String getUserLat() {
        return userLat == null ? "" : userLat.trim();
    }

    public void setUserLat(String userLat) {
        this.userLat = userLat;
    }

    public Integer getIsOverstep() {
        return isOverstep == null ? 0 : isOverstep;
    }

    public void setIsOverstep(Integer isOverstep) {
        this.isOverstep = isOverstep;
    }

    public String getUserUsername() {
        return userUsername == null ? "" : userUsername.trim();
    }

    public void setUserUsername(String userUsername) {
        this.userUsername = userUsername;
    }

    public String getUserName() {
        return userName == null ? "" : userName.trim();
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getCreator() {
        return creator == null ? "" : creator.trim();
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate.trim();
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public Integer getIsDelete() {
        return isDelete == null ? 0 : isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }


}
